Bug 173808 - RFE: php-pear bundles unnecessary packages in main RPM; slim it down?
RFE: php-pear bundles unnecessary packages in main RPM; slim it down?
Product: Fedora
Classification: Fedora
Component: prctl (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-11-21 09:51 EST by Tim Jackson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-01 17:22:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Jackson 2005-11-21 09:51:52 EST
php-pear currently bundles a bunch of PEAR packages which don't superficially
appear to be "core" to PEAR. Packages bundled up in php-pear can't be upgraded
(in a nice RPM way) without rebuilding the whole bundle. This of course also
means that there is more stuff to distribute (a whole bundle) in the event of a
bug in one single package.

I would suggest that php-pear includes the absolute minimum of bundled PEAR
packages, and all other PEAR modules are packaged separately, so as not to
unnecessarily inhibit the upgrading of individual PEAR modules. The minimal set
installed by the PEAR bootstrap on http://go-pear.org/ seems to be:


which is considerably smaller than the set of packages that the current php-pear
bundle provides (which currently includes Net_SMTP, Net_Socket,
Net_UserAgent_Detect, HTTP, HTML_Template_IT, DB and XML_Parser in addition to
the above)
Comment 1 Joe Orton 2005-12-01 17:22:20 EST
Done in php-pear-1.4.5-2.  I couldn't find OS_Guess so I guess it's legacy.
Comment 2 Tim Jackson 2005-12-02 02:09:08 EST
I had a look into it and it seems OS_Guess is not a "real" package, just a
script which is internal to PEAR but named using the same conventions as normal
packages. Unlike the other bundled packages, it's not available separately on

Note You need to log in before you can comment on or make changes to this bug.